-- Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
CREATE TABLE IF NOT EXISTS `TraceFailedRequestsRules` (
	`domainId`	int(10) unsigned NOT NULL
,	`statusCodes`	varchar(255) NOT NULL
,	`isEnabled`	int(11) NOT NULL DEFAULT '0'
,	INDEX `isEnabled` (`isEnabled`)
,	PRIMARY KEY (`domainId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `TraceFailedRequestsProviders` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`domainId`	int(10) unsigned NOT NULL
,	`name`	varchar(255) NOT NULL
,	`isEnabled`	int(11) NOT NULL DEFAULT '0'
,	INDEX `isEnabled` (`isEnabled`)
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`,`domainId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `TraceFailedRequestsProviderAreas` (
	`id`	int(10) unsigned NOT NULL auto_increment
,	`providerId`	int(10) unsigned NOT NULL
,	`name`	varchar(255) NOT NULL
,	`isEnabled`	int(11) NOT NULL DEFAULT '0'
,	INDEX `isEnabled` (`isEnabled`)
,	PRIMARY KEY (`id`)
,	UNIQUE `name` (`name`,`providerId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
